--- old/usr/src/uts/common/fs/vfs.c	sam. juil. 16 15:14:36 2016
+++ new/usr/src/uts/common/fs/vfs.c	sam. juil. 16 15:14:36 2016
@@ -319,37 +319,37 @@
     int *unused_ops)
 {
 	static const fs_operation_trans_def_t vfs_ops_table[] = {
-		VFSNAME_MOUNT, offsetof(vfsops_t, vfs_mount),
-			fs_nosys, fs_nosys,
+		{ VFSNAME_MOUNT, offsetof(vfsops_t, vfs_mount),
+			fs_nosys, fs_nosys },
 
-		VFSNAME_UNMOUNT, offsetof(vfsops_t, vfs_unmount),
-			fs_nosys, fs_nosys,
+		{ VFSNAME_UNMOUNT, offsetof(vfsops_t, vfs_unmount),
+			fs_nosys, fs_nosys },
 
-		VFSNAME_ROOT, offsetof(vfsops_t, vfs_root),
-			fs_nosys, fs_nosys,
+		{ VFSNAME_ROOT, offsetof(vfsops_t, vfs_root),
+			fs_nosys, fs_nosys },
 
-		VFSNAME_STATVFS, offsetof(vfsops_t, vfs_statvfs),
-			fs_nosys, fs_nosys,
+		{ VFSNAME_STATVFS, offsetof(vfsops_t, vfs_statvfs),
+			fs_nosys, fs_nosys },
 
-		VFSNAME_SYNC, offsetof(vfsops_t, vfs_sync),
+		{ VFSNAME_SYNC, offsetof(vfsops_t, vfs_sync),
 			(fs_generic_func_p) fs_sync,
-			(fs_generic_func_p) fs_sync,	/* No errors allowed */
+			(fs_generic_func_p) fs_sync },	/* No errors allowed */
 
-		VFSNAME_VGET, offsetof(vfsops_t, vfs_vget),
-			fs_nosys, fs_nosys,
+		{ VFSNAME_VGET, offsetof(vfsops_t, vfs_vget),
+			fs_nosys, fs_nosys },
 
-		VFSNAME_MOUNTROOT, offsetof(vfsops_t, vfs_mountroot),
-			fs_nosys, fs_nosys,
+		{ VFSNAME_MOUNTROOT, offsetof(vfsops_t, vfs_mountroot),
+			fs_nosys, fs_nosys },
 
-		VFSNAME_FREEVFS, offsetof(vfsops_t, vfs_freevfs),
+		{ VFSNAME_FREEVFS, offsetof(vfsops_t, vfs_freevfs),
 			(fs_generic_func_p)fs_freevfs,
-			(fs_generic_func_p)fs_freevfs,	/* Shouldn't fail */
+			(fs_generic_func_p)fs_freevfs }, /* Shouldn't fail */
 
-		VFSNAME_VNSTATE, offsetof(vfsops_t, vfs_vnstate),
+		{ VFSNAME_VNSTATE, offsetof(vfsops_t, vfs_vnstate),
 			(fs_generic_func_p)fs_nosys,
-			(fs_generic_func_p)fs_nosys,
+			(fs_generic_func_p)fs_nosys },
 
-		NULL, 0, NULL, NULL
+		{ NULL, 0, NULL, NULL }
 	};
 
 	return (fs_build_vector(actual, unused_ops, vfs_ops_table, template));
@@ -2830,11 +2830,11 @@
 	vnode_t *tvp;
 	vnodeops_t *vfs_mntdummyvnops;
 	const fs_operation_def_t mnt_dummyvnodeops_template[] = {
-		VOPNAME_READ, 		{ .vop_read = vfs_mntdummyread },
-		VOPNAME_WRITE, 		{ .vop_write = vfs_mntdummywrite },
-		VOPNAME_GETATTR,	{ .vop_getattr = vfs_mntdummygetattr },
-		VOPNAME_VNEVENT,	{ .vop_vnevent = fs_vnevent_support },
-		NULL,			NULL
+		{ VOPNAME_READ,		{ .vop_read = vfs_mntdummyread } },
+		{ VOPNAME_WRITE,	{ .vop_write = vfs_mntdummywrite } },
+		{ VOPNAME_GETATTR,	{ .vop_getattr = vfs_mntdummygetattr }},
+		{ VOPNAME_VNEVENT,	{ .vop_vnevent = fs_vnevent_support } },
+		{ NULL,			{ NULL } }
 	};
 
 	if (vn_make_ops("mnttab", mnt_dummyvnodeops_template,
@@ -4221,29 +4221,29 @@
 	extern void vopstats_startup();
 
 	static const fs_operation_def_t EIO_vfsops_template[] = {
-		VFSNAME_MOUNT,		{ .error = vfs_EIO },
-		VFSNAME_UNMOUNT,	{ .error = vfs_EIO },
-		VFSNAME_ROOT,		{ .error = vfs_EIO },
-		VFSNAME_STATVFS,	{ .error = vfs_EIO },
-		VFSNAME_SYNC, 		{ .vfs_sync = vfs_EIO_sync },
-		VFSNAME_VGET,		{ .error = vfs_EIO },
-		VFSNAME_MOUNTROOT,	{ .error = vfs_EIO },
-		VFSNAME_FREEVFS,	{ .error = vfs_EIO },
-		VFSNAME_VNSTATE,	{ .error = vfs_EIO },
-		NULL, NULL
+		{ VFSNAME_MOUNT,	{ .error = vfs_EIO } },
+		{ VFSNAME_UNMOUNT,	{ .error = vfs_EIO } },
+		{ VFSNAME_ROOT,		{ .error = vfs_EIO } },
+		{ VFSNAME_STATVFS,	{ .error = vfs_EIO } },
+		{ VFSNAME_SYNC,		{ .vfs_sync = vfs_EIO_sync } },
+		{ VFSNAME_VGET,		{ .error = vfs_EIO } },
+		{ VFSNAME_MOUNTROOT,	{ .error = vfs_EIO } },
+		{ VFSNAME_FREEVFS,	{ .error = vfs_EIO } },
+		{ VFSNAME_VNSTATE,	{ .error = vfs_EIO } },
+		{ NULL,			{ NULL } }
 	};
 
 	static const fs_operation_def_t stray_vfsops_template[] = {
-		VFSNAME_MOUNT,		{ .error = vfsstray },
-		VFSNAME_UNMOUNT,	{ .error = vfsstray },
-		VFSNAME_ROOT,		{ .error = vfsstray },
-		VFSNAME_STATVFS,	{ .error = vfsstray },
-		VFSNAME_SYNC, 		{ .vfs_sync = vfsstray_sync },
-		VFSNAME_VGET,		{ .error = vfsstray },
-		VFSNAME_MOUNTROOT,	{ .error = vfsstray },
-		VFSNAME_FREEVFS,	{ .error = vfsstray },
-		VFSNAME_VNSTATE,	{ .error = vfsstray },
-		NULL, NULL
+		{ VFSNAME_MOUNT,	{ .error = vfsstray } },
+		{ VFSNAME_UNMOUNT,	{ .error = vfsstray } },
+		{ VFSNAME_ROOT,		{ .error = vfsstray } },
+		{ VFSNAME_STATVFS,	{ .error = vfsstray } },
+		{ VFSNAME_SYNC,		{ .vfs_sync = vfsstray_sync } },
+		{ VFSNAME_VGET,		{ .error = vfsstray } },
+		{ VFSNAME_MOUNTROOT,	{ .error = vfsstray } },
+		{ VFSNAME_FREEVFS,	{ .error = vfsstray } },
+		{ VFSNAME_VNSTATE,	{ .error = vfsstray } },
+		{ NULL,			{ NULL } }
 	};
 
 	/* Create vfs cache */
